#
# Solaris. Should not use BSD library
#
CC=/opt/SUNWspro/bin/cc -Xa -DSVR4
CCFLAG= -O -KPIC

#CC=gcc
#CCFLAG=-O -fPIC

LDFLAG=-O -s -R/usr/openwin/lib:/usr/lib:/usr/local/openwin/lib
AR=ar rs
RANLIB=touch
XINCLUDE=-I/usr/openwin/include 
SYSLIB=-L/usr/openwin/lib -lX11 -lnsl -lm

# where the library should be installed
LIB_TOPDIR=/usr

LIB_DIR=$(LIB_TOPDIR)/lib
LIBMODE=644

HEADER_DIR=$(LIB_TOPDIR)/include
HEADERMODE=644

BIN_DIR=/usr/local/bin
BINMODE=711

MAN5_DIR=$(LIB_TOPDIR)/man/man5
MAN1_DIR=$(LIB_TOPDIR)/man/man1

MANMODE=644
# name and header of the library
FORMLIB=libforms.a
FORMHEADER=forms.h

# make shared lib: $(MKSHLIB) 
SHARED_LIB=libforms.so.0.88
SHARED_NAME=libforms.so
MKSHLIB=ld -G -h $(SHARED_LIB) -o $(SHARED_LIB) `ls *.o | grep -v gl.o` ulib/*.o\
       ../xpm-3.4g/lib/libXpm.a

LN=ln -fs
